ByCloud Docs
GuidesCLIAPISDK
get/v1/health-monitors/{health_monitor_id}

Get health monitor

Get details of a specific health monitor

Path Parameters

health_monitor_id

string<uuid>required

path

Health Monitor ID

Example: "550e8400-e29b-41d4-a716-446655440000"

Responses

200

Health monitor details

Content-Type: application/json

health_monitor

objectoptional
401

Authentication required or token invalid

Content-Type: application/json

error

objectrequired
404

Resource not found

Content-Type: application/json

error

objectrequired
500

Internal server error

Content-Type: application/json

error

objectrequired
curl -X GET "https://api.spo1.mycloud.com/v1/health-monitors/550e8400-e29b-41d4-a716-446655440000" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json"

Response

Health monitor details

{
"health_monitor": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"crn": "crn:spo1:loadbalancer:health-monitor:550e8400-e29b-41d4-a716-446655440000",
"name": "http-monitor",
"provisioning_status": "ACTIVE",
"operating_status": "ONLINE",
"type": "HTTP",
"delay": 5,
"timeout": 3,
"max_retries": 3,
"max_retries_down": 3,
"http_method": "GET",
"url_path": "/health",
"expected_codes": "200",
"pool_id": "550e8400-e29b-41d4-a716-446655440000",
"tags": [
"web",
"frontend"
],
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T10:30:00Z"
}
}